> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a workspace chat thread



## OpenAPI

````yaml /openapi.json delete /api/v1/threads/{id}
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/threads/{id}:
    delete:
      summary: Delete a workspace chat thread
      operationId: deleteChatThread
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: workspace
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatThreadDelete'
      security:
        - cookieAuth: []
        - bearerAuth:
            - chat:write
components:
  schemas:
    ChatThreadDelete:
      type: object
      properties:
        deleted:
          type: boolean
      required:
        - deleted
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````